Skip to main content
POST
/
surveys
/
{survey_id_or_slug}
/
changes
/
{changeId}
/
revert
Revert to change
curl --request POST \
  --url https://api.questra.ai/surveys/{survey_id_or_slug}/changes/{changeId}/revert \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Org-Id: <x-org-id>'
{
  "id": "<string>",
  "survey_id": "<string>",
  "idempotency_key": "<string>",
  "type": "initial_programming",
  "status": "in_progress",
  "user_id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "title": "<string>",
  "metadata": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Org-Id
string
required

The ID of the organization to make requests against. Found on your Settings page.

Path Parameters

survey_id_or_slug
string
required

Unique ID or slug of the survey

changeId
string
required

ID of the change to revert to

Response

200 - application/json

The changeset created by the revert operation

id
string
required
survey_id
string
required
idempotency_key
string
required
type
enum<string>
required
Available options:
initial_programming,
ai_prompt,
revert,
manual,
export
status
enum<string>
required
Available options:
in_progress,
complete,
error,
open,
closed
user_id
string
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
title
string
metadata
object